* PACKAGE ASAVB (t-Δt)のデータをセーブ
*
*"  [HIS] 90/08/31(numaguti)
*"        97/09/22 horinout  bug fix(add a save statement)
*
*
************************************************************************
      SUBROUTINE SAVEGB      
     I         ( GBU   , GBV   , GBT   , GBPS  , GBQ   ,
     I           GBVOR , GBDIV                           )
*




* PACKAGE  ZXT10L32 !" 格子点数，波数 X-Z
*
      INTEGER     IMAX           !" 経度格子数
      INTEGER     JMAX           !" 緯度格子数
      INTEGER     IDIM           !" 経度配列サイズ
      INTEGER     JDIM           !" 緯度配列サイズ
      INTEGER     MMAX           !" 最大東西波数
      INTEGER     LMAX           !" 最大南北波数
      INTEGER     NMAX           !" 最大全波数
      INTEGER     MINT           !" 東西波数間隔
      INTEGER     KMAX           !" 鉛直層数
      INTEGER     KDIM           !" 鉛直配列サイズ
      INTEGER     NMDIM          !" 水平波数成分数
      INTEGER     JMXHF          !" JMAX/2+1
      INTEGER     NWORK          !" ワーク領域大きさ
*
      PARAMETER ( IMAX  = 32,     JMAX =  1,
     &            IDIM  = IMAX+1, JDIM = JMAX,
     &            MMAX  = 10,     LMAX =  0,    NMAX = MMAX, MINT = 1,
     &            KMAX  = 32,     KDIM = KMAX,
     &            NMDIM = (MMAX/MINT+1)*(2*(NMAX+1)-MMAX)
     &                  - (NMAX-LMAX)/MINT*(NMAX-LMAX+1),
     &            JMXHF = JMAX/2+1,
     &            NWORK = IDIM*JDIM*KMAX*12                       )

*
      ReaL*8       GBU   ( IDIM*JDIM*KMAX )    
      ReaL*8       GBV   ( IDIM*JDIM*KMAX )    
      ReaL*8       GBT   ( IDIM*JDIM*KMAX )    
      ReaL*8       GBPS  ( IDIM*JDIM      )    
      ReaL*8       GBQ   ( IDIM*JDIM*KMAX )    
      ReaL*8       GBVOR ( IDIM*JDIM*KMAX )    
      ReaL*8       GBDIV ( IDIM*JDIM*KMAX )    
*
*
      ReaL*8       GBBU  ( IDIM*JDIM*KMAX )    
      ReaL*8       GBBV  ( IDIM*JDIM*KMAX )    
      ReaL*8       GBBT  ( IDIM*JDIM*KMAX )    
      ReaL*8       GBBPS ( IDIM*JDIM      )    
      ReaL*8       GBBQ  ( IDIM*JDIM*KMAX )    
      ReaL*8       GBBVOR( IDIM*JDIM*KMAX )    
      ReaL*8       GBBDIV( IDIM*JDIM*KMAX )    
*
      SAVE  GBBU,GBBV,GBBT,GBBPS,GBBQ,GBBVOR,GBBDIV
*
      CALL COPY ( GBBU  , GBU   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBV  , GBV   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBT  , GBT   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBPS , GBPS  , IDIM*JDIM      )
      CALL COPY ( GBBQ  , GBQ   , IDIM*JDIM*KMAX )
      CALL COPY ( GBBVOR, GBVOR , IDIM*JDIM*KMAX )
      CALL COPY ( GBBDIV, GBDIV , IDIM*JDIM*KMAX )
*
      RETURN
*======================================================================
      ENTRY      LOADGB       
     O         ( GBU   , GBV   , GBT   , GBPS  , GBQ   ,
     O           GBVOR , GBDIV                           )
*
      CALL COPY ( GBU   , GBBU  , IDIM*JDIM*KMAX )
      CALL COPY ( GBV   , GBBV  , IDIM*JDIM*KMAX )
      CALL COPY ( GBT   , GBBT  , IDIM*JDIM*KMAX )
      CALL COPY ( GBPS  , GBBPS , IDIM*JDIM      )
      CALL COPY ( GBQ   , GBBQ  , IDIM*JDIM*KMAX )
      CALL COPY ( GBVOR , GBBVOR, IDIM*JDIM*KMAX )
      CALL COPY ( GBDIV , GBBDIV, IDIM*JDIM*KMAX )
*
      RETURN
*======================================================================
      ENTRY      LOADGQ     
     O         ( GBQ    )
*
      CALL COPY ( GBQ   , GBBQ  , IDIM*JDIM*KMAX )
*
      RETURN
      END
